View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17436Bug reportsOtherpublic2021-07-27 15:46
Reportergabrieljenik Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status testingResolutionfixed 
Product Version5.x 
Summary17436: When editing "General Settings" site name and pressing "enter", a layover appears and sceen frozes.
DescriptionThis is because the "Test Email" button from "Email Settings" is triggered
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.0.7
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Versionphp

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

galads

galads

2021-07-14 08:42

administrator   ~65437

I cannot reproduce. Works fine for me.
gabrieljenik

gabrieljenik

2021-07-15 15:06

manager   ~65459

Last edited: 2021-07-16 16:32

When typing the "site name", press enter. That's how we did it.
galads

galads

2021-07-15 15:31

administrator   ~65463

Last edited: 2021-07-16 16:32

I confirm this, I will create a task in the backlog
gabrieljenik

gabrieljenik

2021-07-22 14:11

manager   ~65570

Now when you press enter the submit is done. It is the behavior it had before entering the mail (13853).

https://github.com/LimeSurvey/LimeSurvey/pull/1978
gabrieljenik

gabrieljenik

2021-07-27 15:46

manager   ~65652

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32387

Related Changesets

LimeSurvey: master f8435101

2021-07-27 15:45:57

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17436: When editing 'General Settings' site name and pressing 'enter', a layover appears and screen freezes (#1978)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17436
mod - application/views/admin/globalsettings/_email.php Diff File

Issue History

Date Modified Username Field Change
2021-07-13 17:45 gabrieljenik New Issue
2021-07-14 08:42 galads Note Added: 65437
2021-07-15 15:06 gabrieljenik Note Added: 65459
2021-07-15 15:31 galads Note Added: 65463
2021-07-15 15:32 galads Assigned To => galads
2021-07-15 15:32 galads Status new => confirmed
2021-07-16 16:08 galads Sync to Zoho Project => |Yes|
2021-07-19 17:03 galads Assigned To galads => gabrieljenik
2021-07-19 17:03 galads Priority none => high
2021-07-19 17:03 galads Status confirmed => assigned
2021-07-19 17:03 galads Sync to Zoho Project Yes => |Yes|
2021-07-22 14:11 gabrieljenik Status assigned => testing
2021-07-22 14:11 gabrieljenik Note Added: 65570
2021-07-27 15:46 gabrieljenik Changeset attached => LimeSurvey master f8435101
2021-07-27 15:46 gabrieljenik Note Added: 65652
2021-07-27 15:46 gabrieljenik Resolution open => fixed